ScrollPane
Component defined in packages/scroll-pane/ScrollPane.js#31 inherits from

Wraps content in a scroll pane.

Props

scrollbarType | String | 'native' or 'substance' for a more advanced visual scrollbar. Defaults to 'native'

Example

    $$(ScrollPane, {
      scrollbarType: 'substance', // defaults to native
      scrollbarPosition: 'left', // defaults to right
      onScroll: this.onScroll.bind(this),
      highlights: this.contentHighlights,
      tocProvider: this.tocProvider
    })

this.getHeight()
Method defined in packages/scroll-pane/ScrollPane.js#162

Returns the height of scrollPane (inner content overflows)

this.getContentHeight()
Method defined in packages/scroll-pane/ScrollPane.js#170

Returns the cumulated height of a panel's content

this.getContentElement()
Method defined in packages/scroll-pane/ScrollPane.js#182

Get the `.se-content` element

this.getScrollableElement()
Method defined in packages/scroll-pane/ScrollPane.js#189

Get the `.se-scrollable` element

this.getScrollPosition()
Method defined in packages/scroll-pane/ScrollPane.js#196

Get current scroll position (scrollTop) of `.se-scrollable` element

this.getPanelOffsetForElement(el)
Method defined in packages/scroll-pane/ScrollPane.js#206

Get offset relative to `.se-content`.

Parameters

el | DOMNode | DOM node that lives inside the

this.scrollTo(componentId)
Method defined in packages/scroll-pane/ScrollPane.js#218

Scroll to a given sub component.

Parameters

componentId | String | component id, must be present in data-id attribute